Update Block Slot
Update block slot by ID
PUT
/
calendars
/
events
/
block-slots
/
{eventId}
Update Block Slot
curl --request PUT \
--url https://services.leadconnectorhq.com/calendars/events/block-slots/{eventId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"calendarId": "CVokAlI8fgw4WYWoCtQz",
"locationId": "C2QujeCh8ZnC7al2InWR",
"title": "Test Event",
"assignedUserId": "CVokAlI8fgw4WYWoCtQz",
"startTime": "2021-06-23T03:30:00+05:30",
"endTime": "2021-06-23T04:30:00+05:30"
}
'const options = {
method: 'PUT',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
calendarId: 'CVokAlI8fgw4WYWoCtQz',
locationId: 'C2QujeCh8ZnC7al2InWR',
title: 'Test Event',
assignedUserId: 'CVokAlI8fgw4WYWoCtQz',
startTime: '2021-06-23T03:30:00+05:30',
endTime: '2021-06-23T04:30:00+05:30'
})
};
fetch('https://services.leadconnectorhq.com/calendars/events/block-slots/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/calendars/events/block-slots/{eventId}"
payload = {
"calendarId": "CVokAlI8fgw4WYWoCtQz",
"locationId": "C2QujeCh8ZnC7al2InWR",
"title": "Test Event",
"assignedUserId": "CVokAlI8fgw4WYWoCtQz",
"startTime": "2021-06-23T03:30:00+05:30",
"endTime": "2021-06-23T04:30:00+05:30"
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"id": "0TkCdp9PfvLeWKYRRvIz",
"locationId": "C2QujeCh8ZnC7al2InWR",
"title": "My event",
"startTime": "2021-06-23T03:30:00+05:30",
"endTime": "2021-06-23T04:30:00+05:30",
"calendarId": "CVokAlI8fgw4WYWoCtQz",
"assignedUserId": "0007BWpSzSwfiuSl0tR2"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}Authorizations
Path Parameters
Body
application/json
Response
Successful response
Last modified on March 8, 2026
Was this page helpful?
Update Block Slot
curl --request PUT \
--url https://services.leadconnectorhq.com/calendars/events/block-slots/{eventId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"calendarId": "CVokAlI8fgw4WYWoCtQz",
"locationId": "C2QujeCh8ZnC7al2InWR",
"title": "Test Event",
"assignedUserId": "CVokAlI8fgw4WYWoCtQz",
"startTime": "2021-06-23T03:30:00+05:30",
"endTime": "2021-06-23T04:30:00+05:30"
}
'const options = {
method: 'PUT',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
calendarId: 'CVokAlI8fgw4WYWoCtQz',
locationId: 'C2QujeCh8ZnC7al2InWR',
title: 'Test Event',
assignedUserId: 'CVokAlI8fgw4WYWoCtQz',
startTime: '2021-06-23T03:30:00+05:30',
endTime: '2021-06-23T04:30:00+05:30'
})
};
fetch('https://services.leadconnectorhq.com/calendars/events/block-slots/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/calendars/events/block-slots/{eventId}"
payload = {
"calendarId": "CVokAlI8fgw4WYWoCtQz",
"locationId": "C2QujeCh8ZnC7al2InWR",
"title": "Test Event",
"assignedUserId": "CVokAlI8fgw4WYWoCtQz",
"startTime": "2021-06-23T03:30:00+05:30",
"endTime": "2021-06-23T04:30:00+05:30"
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"id": "0TkCdp9PfvLeWKYRRvIz",
"locationId": "C2QujeCh8ZnC7al2InWR",
"title": "My event",
"startTime": "2021-06-23T03:30:00+05:30",
"endTime": "2021-06-23T04:30:00+05:30",
"calendarId": "CVokAlI8fgw4WYWoCtQz",
"assignedUserId": "0007BWpSzSwfiuSl0tR2"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}